Package com.ads.api.beans.common

# Enum Class APIConstants.DefinedBy

java.lang.Object
java.lang.Enum<APIConstants.DefinedBy>
com.ads.api.beans.common.APIConstants.DefinedBy

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.DefinedBy>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.DefinedBy extends Enum<APIConstants.DefinedBy>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SYSTEM`
  SYSTEM - Refers to defined by is SYSTEM.
  `USER`
  USER - Refers to defined by is USER.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.DefinedBy`
  `getDefinedBy(String value)`
  `static APIConstants.DefinedBy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.DefinedBy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SYSTEM

    public static final APIConstants.DefinedBy SYSTEM
    SYSTEM - Refers to defined by is SYSTEM.

  - ### USER

    public static final APIConstants.DefinedBy USER
    USER - Refers to defined by is USER.

- ## Method Details

  - ### values

    public static APIConstants.DefinedBy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.DefinedBy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDefinedBy

    public static APIConstants.DefinedBy getDefinedBy(String value)
    Parameters:
      `value` -
    Returns: